Bug 189047 - Review Request: perl-Term-UI
Review Request: perl-Term-UI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505 188523 189044 189046
Blocks: FE-ACCEPT 189048
  Show dependency treegraph
 
Reported: 2006-04-14 20:15 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 13:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 20:15:39 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Term-UI/perl-Term-UI.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Term-UI-0.12-1.src.rpm
Description:
Term::UI is a transparent way of eliminating the overhead of having to
format a question and then validate the reply, informing the user if the
answer was not proper and re-issuing the question.
Comment 1 Jason Tibbitts 2006-04-15 13:13:17 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   b34442df078685f3e8b1197e1e98d1e6  Term-UI-0.12.tar.gz
   b34442df078685f3e8b1197e1e98d1e6  Term-UI-0.12.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-06 13:16:37 EDT
Imported, branches created, builds requested.

Note You need to log in before you can comment on or make changes to this bug.